/**
 * 选择活动
 * @param id
 */
/*function choose_act(id,name){
    var act=$("#act"+id);
    if($("#act"+id).hasClass('on')){
        $("#act"+id).removeClass('on');
        //去除同级元素样式
        act.parent().siblings("li").children().removeClass('on');
        act.parent().siblings("li").children().html("选择");

        $("#act"+id).html("选择");
    }else{
        $("#act"+id).addClass('on');
        act.parent().siblings("li").children().removeClass('on');
        act.parent().siblings("li").children().html("选择");
        $("#act"+id).html("已选择");
        $("#act_name").html(name);
        $("#act_name").attr("value",id);
    }
}*/
jQuery(function($){
    ajax_info();
});
function ajax_info(){
    var id=$('#goods_id').val();
    var type=$('#type').val();
    var price=$('#price').val();
    var shop_id=$('#shop_id').val();
    var shop_cat_id=$('#shop_cat_id').val();
    var query=new Object();
    query.goods_id=id;
    query.type=type;
    query.shop_id=shop_id;
    query.goods_shop_catid=shop_cat_id;
    $.ajax({
        url:APP + "Goods/ajax_data",
        data:query,
        type:"post",
        success:function(data){
            if(data.collect_info.is_collect>0){
                $('#collect').addClass('on');
                $('#words').html('取消收藏');
            } else $('#words').html('加入收藏');

            if(data.shop_info.status>0) {
                $('#shop_info').html(data.shop_info.shop_info_html);
                if (data.shop_info.shop_cat_html) $('#shop_cat').html(data.shop_info.shop_cat_html);
                else $('#shop_cat').remove();
            }else{
                $('#shop_info').remove();
                $('#shop_cat').remove();
            }
        }
    })
}
//会员领取优惠券
function get_ecv(id){
    var query=new Object();
    query.id=id;
    $.ajax({
        url:APP + "Goods/get_ecv",
        data:query,
        type:"post",
        success:function(data){
            if(data.status==1) {
                $.showSuccess(data.info,0,'hc');
                $("#bouns"+id).removeAttr("style");
            }else if(data.status==2) {
                $.openUrl(data.url, data.info, 'ID', '800', function () {
                    return false;
                }, function () {
                    return false;
                });
            }else{
                $.showErr(data.info,0,'hc');
            }
        }
    })
}